import request from '@/utils/request'

// 查询用户轮播图列表
export function listMallMemberBanner(query) {
  return request({
    url: '/mall/mallMemberBanner/list',
    method: 'get',
    params: query
  })
}

// 查询用户轮播图详细
export function getMallMemberBanner(id) {
  return request({
    url: '/mall/mallMemberBanner/' + id,
    method: 'get'
  })
}

// 新增用户轮播图
export function addMallMemberBanner(data) {
  return request({
    url: '/mall/mallMemberBanner',
    method: 'post',
    data: data
  })
}

// 修改用户轮播图
export function updateMallMemberBanner(data) {
  return request({
    url: '/mall/mallMemberBanner',
    method: 'put',
    data: data
  })
}

// 删除用户轮播图
export function delMallMemberBanner(id) {
  return request({
    url: '/mall/mallMemberBanner/' + id,
    method: 'delete'
  })
}
